POST api/Course/Submit/Completion
填空题提交(说明:App和小程序通用)
Request Information
URI Parameters
None.
Body Parameters
参数列表
API_SubjectCompletion| Name | Description | Type | Additional information |
|---|---|---|---|
| userOpenId |
用户微信OpenId |
string |
None. |
| checkPointId |
关卡ID |
integer |
None. |
| subjectId |
题目ID |
integer |
None. |
| subjectCompletionId |
题目资源ID |
integer |
None. |
| memberAnswer |
回答内容 |
string |
None. |
| answerTime |
回答时间 |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"userOpenId": "sample string 1",
"checkPointId": 2,
"subjectId": 3,
"subjectCompletionId": 4,
"memberAnswer": "sample string 5",
"answerTime": "sample string 6"
}
Response Information
Resource Description
返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确)... 。404:信息不存在(1、关卡信息不存在 2、题目信息不存在)... 。200:回答正确... 。400:回答错误... 。500:服务器内部错误... 。
ActionResult| Name | Description | Type | Additional information |
|---|---|---|---|
| status |
公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。 |
integer |
None. |
| msg |
消息 |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 1,
"msg": "sample string 2"
}